        Implicit None
        Integer i,j
        Real*16 T1,T2,T3,T4,T5,k,B2
        Real*16 kscaled
        Open(10,file="B2.u1_100_b_0p05")
        Open(11,file="B2scaled.u1_100_b_0p05")
        Open(12,file="B2.u1_70_b_0p05")
        Open(13,file="B2scaled.u1_70_b_0p05")
        Open(14,file="B2.u1_50_b_0p1")
        Open(15,file="B2scaled.u1_50_b_0p1")
        Open(16,file="B2.u1_20_b_0p1")
        Open(17,file="B2scaled.u1_20_b_0p1")
        Do i = 1,100000
          Read(10,*,end=99) T1,T2,k,T3,B2,T4,T5
          kscaled = k*qexp(-100.q0)
          Write(11,35) kscaled,B2
        Enddo
   99   Continue
        Do i=1,100000
          Read(12,*,end=199) T1,T2,k,B2,T4
          kscaled = k*qexp(-70.q0)
          Write(13,35) kscaled,B2
        Enddo
  199   Continue
        Do i=1,100000
          Read(14,*,end=299) T1,T2,k,T3,B2,T4,T5
          kscaled = k*qexp(-50.q0)
          Write(15,35) kscaled,B2
        Enddo
  299   Continue
        Do i=1,100000
          Read(16,*,end=399) T1,T2,k,T3,B2,T4,T5
          kscaled = k*qexp(-20.q0)
          Write(17,35) kscaled,B2
        Enddo
  399   Continue
   35   Format(1x,2(d14.7,1x))
        Stop
        End
